Skip to main content
GET
/
webhook-subscriptions
/
{webhook_subscription}
/
webhook-events
List all webhook events for a subscription
curl --request GET \
  --url https://app.ezyshield.com.au/api/webhook-subscriptions/{webhook_subscription}/webhook-events \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "attributes": {
        "status": "<string>",
        "type": "<string>",
        "webhook_url": "<string>",
        "payload": "<string>",
        "created_at": "<string>",
        "attempts_count": "<string>",
        "last_attempted_at": "<string>",
        "last_response_status_code": "<unknown>"
      },
      "relationships": {
        "attempts": {
          "data": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "type": "<string>"
            }
          ]
        }
      }
    }
  ],
  "links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "meta": {
    "current_page": 2,
    "from": 2,
    "last_page": 2,
    "links": [
      {
        "url": "<string>",
        "label": "<string>",
        "active": true
      }
    ],
    "path": "<string>",
    "per_page": 1,
    "to": 2,
    "total": 1
  },
  "included": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "attributes": {
        "status": "<string>",
        "attempt": "<string>",
        "created_at": "<string>",
        "response_status_code": "<unknown>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

webhook_subscription
string
required

The webhook subscription ID. Example: wh_sub_01jz8v2q4x...

Query Parameters

sort
string
default:-created_at

Available sorts are created_at, status, type. You can sort by multiple options by separating them with a comma. To sort in descending order, use - sign in front of the sort, for example: -created_at.

page[size]
integer
default:10

The number of results that will be returned per page.

page[number]
integer

The page number to start the pagination from.

include
enum<string>[]
Available options:
attempts
fields[webhook-events]
enum<string>[]
Available options:
status,
type,
webhook_url,
payload,
created_at,
attempts_count,
last_attempted_at,
last_response_status_code
fields[webhook-event-attempts]
enum<string>[]
Available options:
status,
attempt,
created_at,
response_status_code
filter[type]
enum<string>

Filter by event type.

Available options:
verification.pending,
verification.successful,
verification.rejected,
verification.failed,
verification.cancelled,
verification.expired,
verification.error,
verification.confirmation_ready,
verification.confirmation_notification_sent
Example:

"verification.successful"

filter[status]
enum<string>

Filter by delivery status.

Available options:
processing,
succeeded,
failed
Example:

"succeeded"

filter[created_at_start]
string<date-time>

Filter events created on or after this datetime.

Example:

"2026-04-01T00:00:00Z"

filter[created_at_end]
string<date-time>

Filter events created on or before this datetime.

Example:

"2026-04-30T23:59:59Z"

Response

Paginated set of WebhookEventResource

data
WebhookEventResource · object[]
required
meta
object
required
included
WebhookEventAttemptResource · object[]